Entier pgcd_entier(Entier, Entier);
int sol_hwm(void);
void sol_simplify(int);
int is_not_Nil(int);
int sol_edit(char **, int);
void tab_reset(struct high_water_mark);
void sol_reset(int);
struct high_water_mark tab_hwm(void);
Tableau *tab_get(FILE *, int,int,int);
void sol_init(void);
void tab_init(void);
void sol_if(void);
void sol_forme(int);
void sol_val(Entier, Entier);
void sol_nil(void);
void sol_error(int);
int integrer(Tableau **, Tableau **, Entier, int *, int *, int *, int *);
Tableau * tab_alloc(int, int, int);
void sol_list(int);
void tab_display(Tableau *, FILE *);
Entier traiter(Tableau *, Tableau *, int, Entier, int, int, int, int, int);
Tableau * expanser(Tableau *, int, int, int, int, int, int);
int llog(Entier);
Entier mod(Entier,Entier);
void sol_new(int);
void sol_div(void);

